MOSH(1)

NAME
mosh-server - server-side helper for mosh

SYNOPSIS
mosh-server new [-s] [-v] [-i IP] [-p PORT[:PORT2]] [-c COLORS] [-- command...]

DESCRIPTION
mosh-server is a helper program for the mosh(1) remote terminal application.

mosh-server binds to a high UDP port and chooses an encryption key to protect the session. It prints both on standard output, detaches from the terminal, and waits for the mosh-client to establish a connection. It will exit if no client has contacted it within 60 seconds.

By default, mosh-server binds to a port between 60000 and 61000 and executes the user's login shell.

On platforms with utempter, mosh-server maintains an entry in the utmp(5) file to indicate its process ID, whether the session is connected, and the client's current IP address.

mosh-server exits when the client terminates the connection.

OPTIONS

The argument "new" must be first on the command line to use command-line options.

-s  bind to the local interface used for an incoming SSH connection, given in the SSH_CONNECTION environment variable (for multihomed hosts)

-v  Print some debugging information even after detaching.

-i IP
    IP address of the local interface to bind (for multihomed hosts)

-p PORT[:PORT2]
    UDP port number or port-range to bind

-c COLORS
    Number of colors to advertise to applications through TERM (e.g. 8, 256)

-l NAME=VALUE
    Locale-related environment variable to try as part of a fallback environment, if the startup environment does not specify a character set of UTF-8.

EXAMPLE

$ mosh-server

MOSH CONNECT 60001 UAkFedSsVJs2LfMeKyQB5g

mosh-server (mosh 1.1)
[...] (copyright notice omitted)

[mosh-server detached, pid = 20443]

SEE ALSO
mosh(1), mosh-client(1).

Project home page: http://mosh.mit.edu

AUTHOR
mosh was written by Keith Winstein <mosh-devel@mit.edu>.

BUGS
Please report bugs to mosh-devel@mit.edu. Users may also subscribe to the mosh-users@mit.edu mailing list, at
http://mailman.mit.edu/mailman/listinfo/mosh-users